org.gjt.sp.jedit.msg

## Class BufferUpdate

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.BufferUpdate

    public class BufferUpdate
    extends EBMessage

Message sent when a buffer-related change occurs.

Since:
  jEdit 2.2pre6

### Field Summary

Fields
`static java.lang.Object` `CLOSED` Buffer closed.
`static java.lang.Object` `CLOSING` About to be closed
`static java.lang.Object` `CREATED` Buffer created.
`static java.lang.Object` `DIRTY_CHANGED` Buffer dirty changed.
`static java.lang.Object` `LOAD_STARTED` Buffer load started.
`static java.lang.Object` `LOADED` Buffer loaded.
`static java.lang.Object` `MARKERS_CHANGED` Buffer markers changed.
`static java.lang.Object` `PROPERTIES_CHANGED` Properties changed.
`static java.lang.Object` `SAVED` Buffer saved.
`static java.lang.Object` `SAVING` Buffer saving.

### Constructor Summary

Constructors
Constructor and Description
`BufferUpdate(Buffer buffer, View view, java.lang.Object what)` Creates a new buffer update message.

### Method Summary

Methods
`Buffer` `getBuffer()` Returns the buffer involved.
`View` `getView()` Returns the view involved, which may be null.
`java.lang.Object` `getWhat()` Returns what caused this buffer update.
`java.lang.String` `paramString()` Returns a string representation of this message's parameters.

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CREATED

    public static final java.lang.Object CREATED

Buffer created.

#### CLOSING

    public static final java.lang.Object CLOSING

About to be closed

Since:
  jEdit 4.2pre3

#### LOAD_STARTED

    public static final java.lang.Object LOAD_STARTED

Buffer load started.

Since:
  jEdit 2.6pre1

#### LOADED

    public static final java.lang.Object LOADED

Buffer loaded.

#### CLOSED

    public static final java.lang.Object CLOSED

Buffer closed.

#### DIRTY_CHANGED

    public static final java.lang.Object DIRTY_CHANGED

Buffer dirty changed.

#### MARKERS_CHANGED

    public static final java.lang.Object MARKERS_CHANGED

Buffer markers changed.

#### SAVING

    public static final java.lang.Object SAVING

Buffer saving.

#### SAVED

    public static final java.lang.Object SAVED

Buffer saved.

Since:
  jEdit 4.0pre4

#### PROPERTIES_CHANGED

    public static final java.lang.Object PROPERTIES_CHANGED

Properties changed.

Since:
  jEdit 4.1pre1

### Constructor Detail

#### BufferUpdate

    public BufferUpdate(Buffer buffer,
                View view,
                java.lang.Object what)

Creates a new buffer update message.

Parameters:
  `buffer` - The buffer
  `what` - What happened

### Method Detail

#### getWhat

    public java.lang.Object getWhat()

Returns what caused this buffer update.

#### getBuffer

    public Buffer getBuffer()

Returns the buffer involved.

#### getView

    public View getView()

Returns the view involved, which may be null.

#### paramString

    public java.lang.String paramString()

Description copied from class: `EBMessage`
Returns a string representation of this message's parameters.

Overrides:
  `paramString` in class `EBMessage`